Page MenuHomePhabricator

Remove login and "create account failure" Cucumber features
Closed, ResolvedPublic

Description

c122d14 fixed a failure in the "create account failure" Cucumber feature that was caused by a change in the third-party – core, I believe – create account form. This is a reminder that we shouldn't be testing third-party systems in our codebase(s); we should only test systems that we maintain.

AC

  • The login and "create account failure" Cucumber features are removed from the MobileFrontend codebase

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : masterRemove login and create_account_failure_messages Cucumber features

Event Timeline

phuedx created this task.Jun 14 2016, 10:39 AM
Restricted Application added subscribers: Zppix, TerraCodes, Aklapper. · View Herald TranscriptJun 14 2016, 10:39 AM
jhobs triaged this task as Medium priority.Jun 15 2016, 3:15 PM
jhobs moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.

Change 295319 had a related patch set uploaded (by Mholloway):
Remove login and create_account_failure_messages Cucumber features

https://gerrit.wikimedia.org/r/295319

Change 295319 merged by jenkins-bot:
Remove login and create_account_failure_messages Cucumber features

https://gerrit.wikimedia.org/r/295319

phuedx closed this task as Resolved.Jun 21 2016, 8:23 AM
phuedx claimed this task.